%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Desktop backgrounds packaged with the GNOME desktop
Name:		gnome-backgrounds
Version:	48.0
Release:	%mkrel 1
License:	CC-BY-SA
URL:		https://gitlab.gnome.org/GNOME/gnome-backgrounds
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	meson

# svg pixbuf loader
Requires:	rsvg-pixbuf-loader

%description
The gnome-backgrounds package contains images and tiles
to use for your desktop background which are packaged
with the GNOME desktop.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
export LANG=UTF-8
%meson_install

mkdir -p %{buildroot}%{_datadir}/backgrounds/images

# all translations are merged back into xml by intltool
rm -rf %{buildroot}%{_datadir}/locale

%check
%meson_test

%files
%doc AUTHORS NEWS README.md
%{_datadir}/gnome-background-properties/
%{_datadir}/backgrounds/*


%changelog
* Wed Mar 19 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2166710
- new version 48.0

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2097965
- new version 47.0

* Tue Mar 19 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050612
- new version 46.0

* Fri Nov 03 2023 daviddavid <daviddavid> 45.0-3.mga10
+ Revision: 2003735
- switch to new sub-pkg rsvg-pixbuf-loader

* Thu Nov 02 2023 daviddavid <daviddavid> 45.0-2.mga10
+ Revision: 2003652
- add missing runtime dependency on librsvg2 for svg pixbuf loader (mga#32476)

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992418
- Update to 45.0

* Fri Apr 21 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953903
- update to 44.0

* Wed Feb 15 2023 daviddavid <daviddavid> 43.1-1.mga9
+ Revision: 1942655
- new version 43.1

* Thu Sep 22 2022 tv <tv> 43-1.mga9
+ Revision: 1891611
- Update to 43

* Mon Sep 19 2022 tv <tv> 43~rc-1.mga9
+ Revision: 1890355
- Update to 43.rc

* Mon Mar 21 2022 tv <tv> 42.0-1.mga9
+ Revision: 1814853
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 42~beta-1.mga9
+ Revision: 1794330
- Update to 42.beta

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767591
- 41.0

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721496
- new version 40.1

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626374
- new version 3.38.0

* Sun Sep 06 2020 tv <tv> 3.37.92.1-1.mga8
+ Revision: 1622937
- adjust filelist
+ ovitters <ovitters>
- new version 3.37.92.1
- new version 3.37.92

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591690
- new version 3.37.2
+ danf <danf>
- Switch URLs from http: to https:

* Sun Mar 08 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554837
- new version 3.36.0

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1537048
- new version 3.35.91

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531503
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 daviddavid <daviddavid> 3.34.0-1.mga8
+ Revision: 1440395
- new version 3.34.0

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392265
- Rebuild with meson 0.50.1

* Mon Mar 18 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1378615
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.91-1.mga7
+ Revision: 1372458
- new version 3.31.91

* Thu Sep 20 2018 umeabot <umeabot> 3.30.0-2.mga7
+ Revision: 1278427
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256613
- new version 3.30.0

* Wed Aug 01 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246781
- new version 3.29.90

* Wed Mar 14 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209137
- new version 3.28.0

* Thu Feb 08 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199785
- new version 3.27.90

* Fri Sep 15 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1154253
- new version 3.26.2
- new version 3.26.1
- new version 3.26.0

* Mon Aug 21 2017 ovitters <ovitters> 3.25.4-1.mga7
+ Revision: 1142731
- switch to meson
- new version 3.25.4

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094050
- new version 3.24.0

* Tue Oct 04 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1058484
- new version 3.22.1

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054816
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053975
- new version 3.21.91

* Tue Mar 22 2016 ovitters <ovitters> 3.20-1.mga6
+ Revision: 994100
- new version 3.20

* Sun Feb 21 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 975041
- new version 3.19.90

* Fri Feb 19 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 969931
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882837
- new release

* Thu Jun 25 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 843020
- new version 3.17.3

* Sun Jun 21 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 838432
- new version 3.16.0

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 742419
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738319
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719196
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679699
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 677607
- new version 3.13.92

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665056
- new version 3.13.90

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622215
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614016
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607980
- new version 3.12.0

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 582852
- new version 3.11.5

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545430
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 501250
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484305
- new version 3.10.0

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474443
- new version 3.9.91

* Fri May 24 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 426618
- new version 3.8.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306746
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297194
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 295572
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282597
- new version 3.5.90

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235667
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231077
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226777
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224453
- new version 3.3.92

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219126
- new version 3.3.91

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184511
- new version 3.3.3

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148638
- new version 3.2.0

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139314
- new version 3.1.91

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118325
- New version 3.1.2

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 102348
- imported package gnome-backgrounds


* Mon Apr 25 2011 Matthias Clasen <mclasen@redhat.com> - 3.0.1-1
- Update to 3.0.1

* Mon Apr  4 2011 Matthias Clasen <mclasen@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Tue Mar 22 2011 Matthias Clasen <mclasen@redhat.com> - 2.91.92-1
- Update to 2.91.92

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 Matthias Clasen <mclasen@redhat.com> 2.32.0-1
- Update to 2.32.0

* Mon Mar 29 2010 Matthias Clasen <mclasen@redhat.com> 2.30.0-1
- Update to 2.30.0

* Tue Mar 09 2010 Bastien Nocera <bnocera@redhat.com> 2.29.92-1
- Update to 2.29.92

* Mon Mar  1 2010 Matthias Clasen <mclasen@redhat.com> - 2.28.0-2
- Drop ownership of a directory that is now owned by filesystem

* Mon Sep 21 2009 Matthias Clasen <mclasen@redhat.com> - 2.28.0-1
- Update to 2.28.0

* Mon Sep  7 2009 Matthias Clasen <mclasen@redhat.com> - 2.27.91-1
- Update to 2.27.91

* Sun Aug  2 2009 Matthias Clasen <mclasen@redhat.com> - 2.24.1-3
- Co-own /usr/share/backgrounds instead of requiring desktop-backgrounds-basic

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 17 2009 Matthias Clasen <mclasen@redhat.com> - 2.24.1-1
- Update to 2.24.1

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 28 2008 Lennart Poettering <lpoetter@redhat.com> - 2.24.0-3
- Include AUTHORS file in package

* Fri Oct 10 2008 Matthias Clasen <mclasen@redhat.com> - 2.24.0-2
- Don't ship unneeded translations

* Tue Sep 23 2008 Matthias Clasen <mclasen@redhat.com> - 2.24.0-1
- Update to 2.24.0

* Mon Sep  8 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.92-1
- Update to 2.23.92

* Tue Sep  2 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.91-1
- Update to 2.23.91

* Fri Aug 22 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.90-1
- Update to 2.23.90

* Tue Jul 22 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.0-1
- Update to 2.23.0

* Mon Mar 10 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-1
- Update to 2.20.0

* Wed Aug 15 2007 Matthias Clasen <mclasen@redhat.com> - 2.18.3-2
- Small fixes from package review

* Tue Aug  7 2007 Matthias Clasen <mclasen@redhat.com> - 2.18.3-1
- Update to 2.18.3
- Update the license field

* Sun Jun 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.16.2-1
- Update to 2.16.2
- Require desktop-backgrounds-basic for directory ownership

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.1-1
- Update to 2.16.1

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2.1-3
- Add missing BuildRequires

* Thu Jun  1 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2.1-2
- Update to 2.14.2.1

* Mon Mar 13 2005 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-1
- Initial build.

